
public class Class225_Sub14_Sub11 extends Class225_Sub14 {

   public int anInt10527;
   public String aString10528;
   public String aString10529;
   int anInt10530 = -1293266005;
   public int anInt10531 = 0;
   public int anInt10532 = 1914280448;
   public int anInt10533 = 608741849;
   public int anInt10534;
   public int anInt10535 = 0;
   public int anInt10536 = -327685632;
   Class456 aClass456_10537;
   boolean aBool10538 = true;


   public boolean method16192(int var1, int var2, int[] var3) {
      for(Class225_Sub31 var4 = (Class225_Sub31)this.aClass456_10537.method7682((byte)98); var4 != null; var4 = (Class225_Sub31)this.aClass456_10537.method7666(-1920018084)) {
         if(var4.method13999(var1, var2, 2106792536)) {
            var4.method13997(var1, var2, var3, -1940452444);
            return true;
         }
      }

      return false;
   }

   public boolean method16193(int var1, int var2, int var3, int[] var4, byte var5) {
      for(Class225_Sub31 var6 = (Class225_Sub31)this.aClass456_10537.method7682((byte)56); null != var6; var6 = (Class225_Sub31)this.aClass456_10537.method7666(-17613446)) {
         if(var6.method14002(var1, var2, var3, (short)15929)) {
            var6.method13998(var2, var3, var4, -1541282140);
            return true;
         }
      }

      return false;
   }

   public boolean method16194(int var1, int var2, int[] var3, int var4) {
      for(Class225_Sub31 var5 = (Class225_Sub31)this.aClass456_10537.method7682((byte)11); var5 != null; var5 = (Class225_Sub31)this.aClass456_10537.method7666(-1940711671)) {
         if(var5.method13999(var1, var2, 672779466)) {
            var5.method13997(var1, var2, var3, -492567856);
            return true;
         }
      }

      return false;
   }

   Class225_Sub14_Sub11(int var1, String var2, String var3, int var4, int var5, boolean var6, int var7, int var8) {
      this.anInt10527 = -1874323981 * var1;
      this.aString10528 = var2;
      this.aString10529 = var3;
      this.anInt10534 = -1274326277 * var4;
      this.anInt10530 = 1293266005 * var5;
      this.aBool10538 = var6;
      this.anInt10533 = -608741849 * var7;
      if(this.anInt10533 * 332839319 == 255) {
         this.anInt10533 = 0;
      }

      Class441.method7413(var8, -182604628);
      this.aClass456_10537 = new Class456();
   }

   public boolean method16195(int var1, int var2, int[] var3) {
      for(Class225_Sub31 var4 = (Class225_Sub31)this.aClass456_10537.method7682((byte)21); var4 != null; var4 = (Class225_Sub31)this.aClass456_10537.method7666(-923758760)) {
         if(var4.method13999(var1, var2, -706874680)) {
            var4.method13997(var1, var2, var3, 1861996820);
            return true;
         }
      }

      return false;
   }

   public boolean method16196(int var1, int var2, int[] var3, int var4) {
      for(Class225_Sub31 var5 = (Class225_Sub31)this.aClass456_10537.method7682((byte)27); var5 != null; var5 = (Class225_Sub31)this.aClass456_10537.method7666(-1089615991)) {
         if(var5.method13994(var1, var2, 1099776)) {
            var5.method13998(var1, var2, var3, -2021449683);
            return true;
         }
      }

      return false;
   }

   boolean method16197(int var1, int var2) {
      for(Class225_Sub31 var3 = (Class225_Sub31)this.aClass456_10537.method7682((byte)64); null != var3; var3 = (Class225_Sub31)this.aClass456_10537.method7666(-1570668961)) {
         if(var3.method13994(var1, var2, 1099776)) {
            return true;
         }
      }

      return false;
   }

   boolean method16198(int var1, int var2, byte var3) {
      for(Class225_Sub31 var4 = (Class225_Sub31)this.aClass456_10537.method7682((byte)38); null != var4; var4 = (Class225_Sub31)this.aClass456_10537.method7666(-1355176177)) {
         if(var4.method13994(var1, var2, 1099776)) {
            return true;
         }
      }

      return false;
   }

   public boolean method16199(int var1, int var2, int[] var3) {
      for(Class225_Sub31 var4 = (Class225_Sub31)this.aClass456_10537.method7682((byte)39); var4 != null; var4 = (Class225_Sub31)this.aClass456_10537.method7666(-183685675)) {
         if(var4.method13999(var1, var2, -125925079)) {
            var4.method13997(var1, var2, var3, -1595905977);
            return true;
         }
      }

      return false;
   }

   public boolean method16200(int var1, int var2, int[] var3) {
      for(Class225_Sub31 var4 = (Class225_Sub31)this.aClass456_10537.method7682((byte)53); var4 != null; var4 = (Class225_Sub31)this.aClass456_10537.method7666(-1424636918)) {
         if(var4.method13999(var1, var2, -1326576538)) {
            var4.method13997(var1, var2, var3, 501404490);
            return true;
         }
      }

      return false;
   }

   void method16201(int var1) {
      this.anInt10532 = 1914280448;
      this.anInt10535 = 0;
      this.anInt10536 = -327685632;
      this.anInt10531 = 0;

      for(Class225_Sub31 var2 = (Class225_Sub31)this.aClass456_10537.method7682((byte)12); var2 != null; var2 = (Class225_Sub31)this.aClass456_10537.method7666(-2025949047)) {
         if(1737383501 * var2.anInt8664 < -1128808323 * this.anInt10532) {
            this.anInt10532 = -600912367 * var2.anInt8664;
         }

         if(-1336338531 * var2.anInt8659 > this.anInt10535 * 26471699) {
            this.anInt10535 = var2.anInt8659 * 812707471;
         }

         if(-1937668947 * var2.anInt8665 < -1212636907 * this.anInt10536) {
            this.anInt10536 = -1333605575 * var2.anInt8665;
         }

         if(95910835 * var2.anInt8667 > this.anInt10531 * 293701383) {
            this.anInt10531 = -2146291979 * var2.anInt8667;
         }
      }

   }

   public boolean method16202(int var1, int var2, int var3, int[] var4) {
      for(Class225_Sub31 var5 = (Class225_Sub31)this.aClass456_10537.method7682((byte)55); null != var5; var5 = (Class225_Sub31)this.aClass456_10537.method7666(-1495541059)) {
         if(var5.method14002(var1, var2, var3, (short)17055)) {
            var5.method13998(var2, var3, var4, -1606924738);
            return true;
         }
      }

      return false;
   }

   public boolean method16203(int var1, int var2, int var3, int[] var4) {
      for(Class225_Sub31 var5 = (Class225_Sub31)this.aClass456_10537.method7682((byte)48); null != var5; var5 = (Class225_Sub31)this.aClass456_10537.method7666(-1586105167)) {
         if(var5.method14002(var1, var2, var3, (short)7150)) {
            var5.method13998(var2, var3, var4, -2016716053);
            return true;
         }
      }

      return false;
   }

   public boolean method16204(int var1, int var2, int var3, int[] var4) {
      for(Class225_Sub31 var5 = (Class225_Sub31)this.aClass456_10537.method7682((byte)83); null != var5; var5 = (Class225_Sub31)this.aClass456_10537.method7666(-241472925)) {
         if(var5.method14002(var1, var2, var3, (short)18286)) {
            var5.method13998(var2, var3, var4, -1921390080);
            return true;
         }
      }

      return false;
   }

   void method16205() {
      this.anInt10532 = 1914280448;
      this.anInt10535 = 0;
      this.anInt10536 = -327685632;
      this.anInt10531 = 0;

      for(Class225_Sub31 var1 = (Class225_Sub31)this.aClass456_10537.method7682((byte)63); var1 != null; var1 = (Class225_Sub31)this.aClass456_10537.method7666(-1632323414)) {
         if(1737383501 * var1.anInt8664 < -1128808323 * this.anInt10532) {
            this.anInt10532 = -600912367 * var1.anInt8664;
         }

         if(-1336338531 * var1.anInt8659 > this.anInt10535 * 26471699) {
            this.anInt10535 = var1.anInt8659 * 812707471;
         }

         if(-1937668947 * var1.anInt8665 < -1212636907 * this.anInt10536) {
            this.anInt10536 = -1333605575 * var1.anInt8665;
         }

         if(95910835 * var1.anInt8667 > this.anInt10531 * 293701383) {
            this.anInt10531 = -2146291979 * var1.anInt8667;
         }
      }

   }

   static Class225_Sub14_Sub11 method16206(Class253 var0, int var1, int var2) {
      RS2Buffer var3 = new RS2Buffer(var0.method4547(var1, var2, (byte)8));
      Class225_Sub14_Sub11 var4 = new Class225_Sub14_Sub11(var2, var3.readString((byte)32), var3.readString((byte)-12), var3.readInt_(1683626571), var3.readInt_(-1147034136), var3.readUnsignedByte(-700559597) == 1, var3.readUnsignedByte(-700559597), var3.readUnsignedByte(-700559597));
      int var5 = var3.readUnsignedByte(-700559597);

      for(int var6 = 0; var6 < var5; ++var6) {
         var4.aClass456_10537.method7712(new Class225_Sub31(var3.readUnsignedByte(-700559597), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807)), (byte)108);
      }

      var4.method16201(-1147444348);
      return var4;
   }

   static Class225_Sub14_Sub11 method16207(Class253 var0, int var1, int var2) {
      RS2Buffer var3 = new RS2Buffer(var0.method4547(var1, var2, (byte)8));
      Class225_Sub14_Sub11 var4 = new Class225_Sub14_Sub11(var2, var3.readString((byte)-58), var3.readString((byte)-17), var3.readInt_(1759400082), var3.readInt_(1476722999), var3.readUnsignedByte(-700559597) == 1, var3.readUnsignedByte(-700559597), var3.readUnsignedByte(-700559597));
      int var5 = var3.readUnsignedByte(-700559597);

      for(int var6 = 0; var6 < var5; ++var6) {
         var4.aClass456_10537.method7712(new Class225_Sub31(var3.readUnsignedByte(-700559597), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807)), (byte)42);
      }

      var4.method16201(-763699559);
      return var4;
   }

   static Class225_Sub14_Sub11 method16208(Class253 var0, int var1, int var2) {
      RS2Buffer var3 = new RS2Buffer(var0.method4547(var1, var2, (byte)59));
      Class225_Sub14_Sub11 var4 = new Class225_Sub14_Sub11(var2, var3.readString((byte)87), var3.readString((byte)-6), var3.readInt_(-1098321947), var3.readInt_(-1367315821), var3.readUnsignedByte(-700559597) == 1, var3.readUnsignedByte(-700559597), var3.readUnsignedByte(-700559597));
      int var5 = var3.readUnsignedByte(-700559597);

      for(int var6 = 0; var6 < var5; ++var6) {
         var4.aClass456_10537.method7712(new Class225_Sub31(var3.readUnsignedByte(-700559597), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807)), (byte)7);
      }

      var4.method16201(1522953195);
      return var4;
   }

   static Class225_Sub14_Sub11 method16209(Class253 var0, int var1, int var2) {
      RS2Buffer var3 = new RS2Buffer(var0.method4547(var1, var2, (byte)-74));
      Class225_Sub14_Sub11 var4 = new Class225_Sub14_Sub11(var2, var3.readString((byte)22), var3.readString((byte)-25), var3.readInt_(-376262376), var3.readInt_(892796228), var3.readUnsignedByte(-700559597) == 1, var3.readUnsignedByte(-700559597), var3.readUnsignedByte(-700559597));
      int var5 = var3.readUnsignedByte(-700559597);

      for(int var6 = 0; var6 < var5; ++var6) {
         var4.aClass456_10537.method7712(new Class225_Sub31(var3.readUnsignedByte(-700559597), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807), var3.readUnsignedShort(-937710807)), (byte)29);
      }

      var4.method16201(-812838242);
      return var4;
   }

   static final void method16210(Class508 var0, short var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1366664603);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3.anInt1481 * -1029733319;
   }
}
